All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.services.information.search
Enum ResultDetails.ResultLimit

    com.sas.services.information.search.ResultDetails.ResultLimit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultDetails.ResultLimit>

Enclosing class:
  ResultDetails

    public static enum ResultDetails.ResultLimit

Enum Constant Summary
`FIFTY`
`ONEHUNDRED`
`TEN`
`TWENTYFIVE`
`UNLIMITED`

Method Summary
`int` | `getLimit()`
`static ResultDetails.ResultLimit` | `getResultLimitforValue(int lvalue)`
`java.lang.String` | `toString()`
`static ResultDetails.ResultLimit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultDetails.ResultLimit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### UNLIMITED

    public static final ResultDetails.ResultLimit UNLIMITED

### TEN

    public static final ResultDetails.ResultLimit TEN

### TWENTYFIVE

    public static final ResultDetails.ResultLimit TWENTYFIVE

### FIFTY

    public static final ResultDetails.ResultLimit FIFTY

### ONEHUNDRED

    public static final ResultDetails.ResultLimit ONEHUNDRED

Method Detail

### values

    public static ResultDetails.ResultLimit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultDetails.ResultLimit c : ResultDetails.ResultLimit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultDetails.ResultLimit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getLimit

    public int getLimit()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ResultDetails.ResultLimit>`

### getResultLimitforValue

    public static ResultDetails.ResultLimit getResultLimitforValue(int lvalue)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.